import { Viewer, createTemplateBoard, createEdge, DrawDimension } from ".";
import { Geometry } from "three";

export function LoadBoard(view: Viewer, data: any[])
{
    view.m_Scene.children.forEach(obj =>
    {
        let geo = obj["geometry"] as Geometry;
        if (geo) geo.dispose();
    })
    view.m_Scene.children.length = 0;

    //加板
    let brList = createTemplateBoard(data);
    //线框
    let edgeList = brList.map(br => createEdge(br));
    //加标注
    let dims = DrawDimension(brList);

    view.m_Scene.add(...brList);
    view.m_Scene.add(...edgeList);
    view.m_Scene.add(...dims);

    view.ViewToSwiso();
    view.ZoomAll();
    view.Zoom(1.1);
}
